Option 3G USB Modem (Gio225) not recognized, solution included

Bug #284961 reported by Koen Sadza on 2008-10-17
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Undecided
Martin Pitt
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: hal-info

This stick is the T-Mobile Web 'n Walk stick.

To make it work with ubuntu, please add the following section to 10-modem.fdi

<!-- Option GIO225 -->
<match <email address hidden>:usb.vendor_id" int="0x0af0">
       <match <email address hidden>:usb.product_id" int="0x6971">
          <match <email address hidden>:usb.interface.number" int="0">
             <match key="serial.port" int="0">
               <append key="modem.command_sets" type="strlist">GSM-07.07</append>
               <append key="modem.command_sets" type="strlist">GSM-07.05</append>
             </match>
          </match>
        </match>
      </match>

After adding this and installing usb_modeswitch or ReZero this works beautifully with NetworkManager

Laurent GUERBY (laurent-guerby) wrote :

Since I have USB modem "Bus 002 Device 004: ID 0af0:6971 Option " same as yours, I added your entry, installed rezero but I can't get networkmanager (on intrepid) to connect through the key. Do you know where should I look? Thanks!

Hi,

Can you please attach /var/log/dmesg and /var/log/syslog at the time of
plugging in and connecting, as well as the output of lsusb and lshal?

Maybe I can see where the problem lies then.

--
Koen Sadza
mail: <email address hidden> | google talk: <email address hidden> | web:
http://www.koensadza.nl

+31(6)43993329

chat: http://ln-s.net/1vu4

|_|0|_| Wildrover
|_|_|0| <email address hidden>
|0|0|0| http://rubik.cluenet.org

On Mon, Oct 20, 2008 at 1:26 AM, Laurent GUERBY <email address hidden> wrote:

> Since I have USB modem "Bus 002 Device 004: ID 0af0:6971 Option " same
> as yours, I added your entry, installed rezero but I can't get
> networkmanager (on intrepid) to connect through the key. Do you know
> where should I look? Thanks!
>
> --
> Option 3G USB Modem (Gio225) not recognized, solution included
> https://bugs.launchpad.net/bugs/284961
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "hal-info" source package in Ubuntu: New
> Status in "network-manager" source package in Ubuntu: New
>
> Bug description:
> Binary package hint: hal-info
>
> This stick is the T-Mobile Web 'n Walk stick.
>
> To make it work with ubuntu, please add the following section to
> 10-modem.fdi
>
> <!-- Option GIO225 -->
> <match <email address hidden>:usb.vendor_id" int="0x0af0">
> <match <email address hidden>:usb.product_id" int="0x6971">
> <match <email address hidden>:usb.interface.number" int="0">
> <match key="serial.port" int="0">
> <append key="modem.command_sets"
> type="strlist">GSM-07.07</append>
> <append key="modem.command_sets"
> type="strlist">GSM-07.05</append>
> </match>
> </match>
> </match>
> </match>
>
> After adding this and installing usb_modeswitch or ReZero this works
> beautifully with NetworkManager
>

Laurent GUERBY (laurent-guerby) wrote :

Here it is (reboot, graphical login then plug USB key).

Note I'm sure the USB and PIN (0000) work since one another Linux computer (ACER Aspire One with Linpus) I can connect with network manager.

Thanks for your kind help.

Laurent GUERBY (laurent-guerby) wrote :

Note: with /etc/init.d/NetworkManager stop and following the instructions here:

http://www.equinoxefr.org/post/2008/04/21/la-clef-orange-icon-225-sur-ubuntu-804

(installing hso v1.6 kernel module and two utilites) the 3G connection works on my intrepid computer so there's no reason why NetworkManager can't do it :)

Koen Sadza (koen) wrote :

Oct 20 12:18:40 burnier NetworkManager: <info> (ttyHS0): GSM pin secret required
Oct 20 12:18:40 burnier NetworkManager: <info> (ttyHS0): device state change: 4 -> 6
Oct 20 12:18:40 burnier NetworkManager: real_connection_secrets_updated: assertion `caller == SECRETS_CALLER_HSO_GSM' failed

NetworkManager detects the device just fine, so the piece above actually works,
it looks like NM is unable to unlock the device with the PIN you enter.

Try putting the SIMcard in your phone, or the stick in a windows computer, and turning of the PIN.
Then try connecting again.

If not, file another bug about it ;-)

Koen Sadza (koen) wrote :

Oct 20 12:18:40 burnier NetworkManager: <info> (ttyHS0): GSM pin secret required
Oct 20 12:18:40 burnier NetworkManager: <info> (ttyHS0): device state change: 4 -> 6
Oct 20 12:18:40 burnier NetworkManager: real_connection_secrets_updated: assertion `caller == SECRETS_CALLER_HSO_GSM' failed

NetworkManager detects the device just fine, so the piece above actually works,
it looks like NM is unable to unlock the device with the PIN you enter.

Try putting the SIMcard in your phone, or the stick in a windows computer, and turning of the PIN.
Then try connecting again.

Laurent GUERBY (laurent-guerby) wrote :

The PIN is quite simple (0000). I entered it in the connection properties (named "Orange 3Gb"). I had no popup asking for a PIN.

After a reboot, here what I get when I plug the key

Oct 20 18:20:47 pc NetworkManager: <info> ttyHS0: driver is 'hso'.
Oct 20 18:20:47 pc NetworkManager: <debug> [1224519647.496808] setup_monitor_device(): No monitoring udi provided
Oct 20 18:20:47 pc NetworkManager: <info> Found new Modem device 'ttyHS0'.
Oct 20 18:20:47 pc NetworkManager: <info> (ttyHS0): exported as /org/freedesktop/Hal/devices/usb_device_af0_6971_Serial_Number_if0_serial_unknown_0
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): device state change: 1 -> 2
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): deactivating device (reason: 2).
Oct 20 18:20:51 pc NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:20:51 pc NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): device state change: 2 -> 3
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) starting connection 'Orange 3Gb'
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 3 -> 4
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) started...
Oct 20 18:21:20 pc NetworkManager: <debug> [1224519680.142206] nm_serial_device_open(): (ttyHS0) opening device...
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) complete.
Oct 20 18:21:20 pc NetworkManager: <WARN> check_pin_done(): PIN checking failed
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 4 -> 9
Oct 20 18:21:20 pc NetworkManager: <debug> [1224519680.326062] nm_serial_device_close(): Closing device 'ttyHS0'
Oct 20 18:21:20 pc NetworkManager: <info> Marking connection 'Orange 3Gb' invalid.
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) failed.
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 9 -> 3
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): deactivating device (reason: 0).
Oct 20 18:21:20 pc NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:21:20 pc NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed

I couldn't find where the PIN is stored, I wonder why the very same PIN fails with NM and works with the alternate scripts and tools. I'll see what I can report.

Koen Sadza (koen) wrote :
Download full text (4.1 KiB)

Just try to disable PIN security on your SIM.
If you desperately need a PIN on it,
File another bug report about it not connecting with PIN, but then again, you'll have to check if it does connect without a PIN.

----- Oorspronkelijk bericht -----
Van: Laurent GUERBY <email address hidden>
Verzonden: maandag 20 oktober 2008 18:27
Aan: <email address hidden>
Onderwerp: [Bug 284961] Re: Option 3G USB Modem (Gio225) not recognized, solution included

The PIN is quite simple (0000). I entered it in the connection
properties (named "Orange 3Gb"). I had no popup asking for a PIN.

After a reboot, here what I get when I plug the key

Oct 20 18:20:47 pc NetworkManager: <info> ttyHS0: driver is 'hso'.
Oct 20 18:20:47 pc NetworkManager: <debug> [1224519647.496808] setup_monitor_device(): No monitoring udi provided
Oct 20 18:20:47 pc NetworkManager: <info> Found new Modem device 'ttyHS0'.
Oct 20 18:20:47 pc NetworkManager: <info> (ttyHS0): exported as /org/freedesktop/Hal/devices/usb_device_af0_6971_Serial_Number_if0_serial_unknown_0
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): device state change: 1 -> 2
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): deactivating device (reason: 2).
Oct 20 18:20:51 pc NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:20:51 pc NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:20:51 pc NetworkManager: <info> (ttyHS0): device state change: 2 -> 3
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) starting connection 'Orange 3Gb'
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 3 -> 4
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) started...
Oct 20 18:21:20 pc NetworkManager: <debug> [1224519680.142206] nm_serial_device_open(): (ttyHS0) opening device...
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) Stage 1 of 5 (Device Prepare) complete.
Oct 20 18:21:20 pc NetworkManager: <WARN> check_pin_done(): PIN checking failed
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 4 -> 9
Oct 20 18:21:20 pc NetworkManager: <debug> [1224519680.326062] nm_serial_device_close(): Closing device 'ttyHS0'
Oct 20 18:21:20 pc NetworkManager: <info> Marking connection 'Orange 3Gb' invalid.
Oct 20 18:21:20 pc NetworkManager: <info> Activation (ttyHS0) failed.
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): device state change: 9 -> 3
Oct 20 18:21:20 pc NetworkManager: <info> (ttyHS0): deactivating device (reason: 0).
Oct 20 18:21:20 pc NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Oct 20 18:21:20 pc NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed

I couldn't find where the PIN is stored, I wonder why the very same PIN
fails with NM and works with the alternate scripts and tools. I'll see
what I can report.

--
Option 3G USB Modem (Gio225) not recognized, solution include...

Read more...

Martin Pitt (pitti) wrote :

Committed upstream.

Changed in network-manager:
status: New → Invalid
Changed in hal-info:
assignee: nobody → pitti
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20081124-0ubuntu1

---------------
hal-info (20081124-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot.
    - Add ISCD no-name portable audio player (LP: #116860)
    - hal-info and rhythmbox conflict on audio_folders for PSP (LP: #178359)
    - Add Pantech UM175 phone (LP: #282573)
    - Add another Nokia N82 phone model (LP: #291749)
    - Add Nokia N82 music player (LP: #282957)
    - Add another Option 3G USB Modem (LP: #284961)
    - Add Sony Walkman NWZ-135F (LP: #289161)
    - Add Onda MT505UP / MF632 music player (LP: #291333)
    - Add Nokia E66 phone (LP: #294070)
    - Add Sierra Aircard 880U modem (LP: #295855)
    - Fix typo in 20-video-quirk-pm-asus.fdi (LP: #300620)
    - Add Novatel EU870D modem (LP: #301030)

 -- Martin Pitt <email address hidden> Mon, 24 Nov 2008 11:59:58 +0100

Changed in hal-info:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers